AUTHSELECT(8)

NAME
authselect - valitse järjestelmän identiteetti ja todennuslähteet.

SYNOPSIS

authselect [--debug] [--trace] [--warn] komento [komennon valitsimet]

KUVAUS

Authselect on työkalu järjestelmän identiteetin ja todennuslähteiden ja palveluntarjoajien määrittämiseen valitsemalla tietty profiili. Profiili on joukko tiedostoja, jotka kuvaavat, miltä tuloksena oleva järjestelmäkokoonpano näyttää. Kun profiili valitaan, authselect luo nsswitch.conf(5)- ja PAM(8)-pinon käyttämään profiilin määrittämiä identiteetti- ja todennuslähteitä.

Jos annettu profiilisarja ei riitä, järjestelmänvalvoja voi luoda mukautetun profiilin sijoittamalla sen erityiseen profiilihakemistoon ("/etc/authselect/custom"). Näin tekemällä profiili on välittömästi authselectin käytettävissä. Katso authselect-profiles(5) saadaksesi lisätietoja olemassa olevien profiilien laajentamisesta.

OLE MUKANA AUTHSELECTIIN

Authselect ei koske olemassa olevaan kokoonpanon, ellei se ole jo luonut sitä. Jos haluat alkaa käyttää authselectiä järjestelmän todennuksen määrittämiseen, soita authselect select --force-parametrilla ensin (esim. authselect select sssd --force). Parametri --force kertoo authselectille, että olemassa olevat ei-authselect-kokoonpanot voidaan korvata (katso kuvaus alla). Parametrin --force käyttäminen luo automaattisesti varmuuskopion nykyisestä kokoonpanostasi, joten jos haluat palata takaisin, voit palauttaa sen authselect backup-restore -komennolla (katso kuvaus alla).

POISTU AUTHSELECTILTA

Jos haluat estää authselectiä hallitsemasta määrityksiäsi, suorita authselect opt-out. Tämä poistaa kaikki authselect-määritykset järjestelmästäsi ja voit sitten muokata määrityksiäsi käsin.

SAATAVILLA OLEVAT KOMENNOT

Luetellaksesi kaikki käytettävissä olevat komennot, suorita authselect ilman parametreja. Tulosta valitun komennon ohje suorittamalla authselect KOMENTO --help.

select profiilitunnus [ominaisuudet] [-f, --force] [-q, --quiet] [-b] [--backup=NIMI]
    Aktivoi haluamasi profiili. Katso profiilin kuvaus show-komennolla listataksesi profiilikohtaisia valinnaisia ominaisuuksia.

    --force, -f
        Kirjoita muutokset, vaikka edellinen kokoonpano ei olisi luotu authselectillä, vaan muulla työkalulla tai manuaalisilla muutoksilla. Tämä vaihtoehto varmuuskopioi järjestelmätiedostot automaattisesti ennen muutosten kirjoittamista, ellei --nobackup-vaihtoehtoa ole asetettu.

    -b
        Varmuuskopioi järjestelmätiedostot ennen valitun profiilin aktivointia. Varmuuskopio tallennetaan osoitteeseen "/var/lib/authselect/backups"/NAME. Varmuuskopion nimenä käytetään nykyistä aikaa ainutlaatuisella merkkijonolla. Tämä on pikanäppäin --backup=:lle.

    --backup=NIMI
        Varmuuskopioi järjestelmätiedostot ennen valitun profiilin aktivointia. Varmuuskopio tallennetaan osoitteeseen "/var/lib/authselect/backups"/NIMI. Nykyistä aikaa ainutlaatuisella merkkijonolla käytetään nimenä, jos arvoa ei anneta.

    --nobackup
        Älä varmuuskopioi järjestelmän kokoonpanoa, vaikka --force olisi asetettu.

    --quiet, -q
        Komento ei tulosta tiedottavaa viestiä kuten profiilin lisävaatimukset tai varmuuskopion sijainti. Virheet tulostetaan edelleen.

apply-changes [-b] [--backup=NIMI]
    Sovella uudelleen tällä hetkellä valittua profiilia. Jos profiilimallit päivitettiin, tätä komentoa voidaan käyttää nykyisen järjestelmäkokoonpanon luomiseen uudelleen, jotta nämä muutokset voidaan ottaa käyttöön järjestelmässä. Tämä komento ottaa muutokset käyttöön uudelleen vain, jos olemassa oleva kokoonpano on kelvollinen authselect-kokoonpano, muuten palautetaan virhe.

    -b
        Varmuuskopioi järjestelmätiedostot ennen muutosten käyttöönottoa. Varmuuskopio tallennetaan osoitteeseen "/var/lib/authselect/backups"/NIMI. Varmuuskopion nimenä käytetään nykyistä aikaa ainutlaatuisella merkkijonolla. Tämä on pikanäppäin --backup=:lle.

    --backup=NIMI
        Varmuuskopioi järjestelmätiedostot ennen muutosten käyttöönottoa. Varmuuskopio tallennetaan osoitteeseen "/var/lib/authselect/backups"/NIMI. Nykyistä aikaa ainutlaatuisella merkkijonolla käytetään nimenä, jos arvoa ei anneta.

list
    Luettele saattavilla olevat profiilit.

list-features profiilitunnus
    Listaa kaikki tietyssä profiilissa saatavilla olevat ominaisuudet. Huomautus: Tämä luettelee vain ominaisuudet ilman kuvausta. Ole hyvä ja lue profiilin dokumentaatio show:lla nähdäksesi, mitä ominaisuudet tekevät.

show profiilitunnus
    Tulosta tiedot profiilista.

requirements profiilitunnus [ominaisuudet]
    Tulosta tiedot profiilivaatimuksista.

current [-r, --raw]
    Tulosta tiedot valituista profiileista. Jos --raw on määritetty, komento tulostaa raakaparametrit sellaisina kuin ne välitettiin select-komennolle muotoillun tulosteen sijaan.

check
    Tarkista, onko nykyinen määritys kelvollinen (sen luotiin joko authselect-ohjelmalla tai aiemmasta authselect-kokoonpanosta ei ole jäämiä).

test profiilitunnus [valitsimet] [ominaisuudet]
    Tulosta authselectin luomien tiedostojen sisältö kirjoittamatta mitään järjestelmän kokoonpanoon.

    -a, --all
        Tulosta kaikkien tiedostojen sisällöt.

    -n, --nsswitch
        Tulosta nsswitch.conf-sisältö.

    -s, --system-auth
        Tulosta järjestelmätodennussisältö.

    -p, --password-auth
        Tulosta salasanatodennuksen sisältö.

    -c, --smartcard-auth
        Tulosta älykorttitodennuksen sisältö.

    -f, --fingerprint-auth
        Tulosta sormenjälkitunnistuksen sisältö.

    -o, --postlogin
        Tulosta sisäänkirjautumisen jälkeinen sisältö.

    -d, --dconf-db
        Tulosta dconf-tietokannan sisältö.

    -l, --dconf-lock
        Tulosta dconfin lukituksen sisältö.

enable-feature feature [-b] [--backup=NIMI] [-q, --quiet]
    Ota ominaisuus käyttöön nykyisessä valitussa profiilissa.

    -b
        Varmuuskopioi järjestelmätiedostot ennen ominaisuuden käyttöönottoa. Varmuuskopio tallennetaan osoitteeseen "/var/lib/authselect/backups"/NIMI. Varmuuskopion nimenä käytetään nykyistä aikaa ainutlaatuisella merkkijonolla. Tämä on pikanäppäin --backup=:lle.

    --backup=NIMI
        Varmuuskopioi järjestelmätiedostot ennen ominaisuuden käyttöönottoa. Varmuuskopio tallennetaan "/var/lib/authselect/backups"/NIMI:in. Nykyistä aikaa ainutlaatuisella merkkijonolla käytetään nimenä, jos arvoa ei anneta.

    --quiet, -q
        Komento ei tulosta tiedottavaa viestiä kuten profiilin lisävaatimukset tai varmuuskopion sijainti. Virheet tulostetaan edelleen.

disable-feature ominaisuus [-b] [--backup=NIMI]
    Poista ominaisuus käytöstä nykyisessä valitussa profiilissa.

    -b
        Varmuuskopioi järjestelmätiedostot ennen ominaisuuden poistamista käytöstä. Varmuuskopio tallennetaan "/var/lib/authselect/backups"/NIMI:in. Varmuuskopion nimenä käytetään nykyistä aikaa ainutlaatuisella merkkijonolla. Tämä on pikanäppäin --backup=:lle.

    --backup=NIMI
        Varmuuskopioi järjestelmätiedostot ennen ominaisuuden poistamista käytöstä. Varmuuskopio tallennetaan "/var/lib/authselect/backups"/NIMI:in. Nykyistä aikaa ainutlaatuisella merkkijonolla käytetään nimenä, jos arvoa ei anneta.

is-feature-enabled feature
    Check if feature is currently enabled in the selected profile.

create-profile NIMI [-v, --vendor] [valitsimet]
    Luo uusi muokattu profiili nimeltä NIMI. Profiili voi perustua olemassa olevaan profiiliin, jolloin uudet profiilimallipohjat joko kopioidaan perusprofiilista tai luodaan symbolisia linkkejä näihin tiedostoihin, jos tällainen valitsin valitaan.

    --vendor,-v
        Uusi profiili on toimittajaprofiili mukautetun profiilin sijaan. Katso authselect-profiles(5) saadaksesi lisätietoja profiilityypeistä.

    --base-on=PERUSTUNNUS, -b=PERUSTUNNUS
        Uusi profiili perustuu profiiliin nimeltä PERUSTUNNUS. Perusprofiilin sijainti määritetään seuraavilla vaiheilla:

            1. Jos PERUSTUNNUS alkaa etuliitteellä custom/, se on mukautettu profiili.

            2. Kokeile löytyykö PERUSTUNNUS toimittajaprofiileista.

            3. Kokeile löytyykö PERUSTUNNUS oletusprofiileista.

            4. Palautti virheen.

    --base-on-default
        Perusprofiili on oletusprofiili, vaikka se löytyisi myös toimittajaprofiileista.

    --symlink-meta
        Metatiedostot, kuten README ja REQUIREMENTS, ovat symbolisia linkkejä alkuperäprofiilitiedostoihin niiden kopion sijaan.

    --symlink-nsswitch
        nsswitch.conf-malli on symbolinen linkki alkuperäprofiilitiedostoon sen kopion sijaan.

    --symlink-pam
        PAM-mallit ovat symbolisia linkkejä alkuperäprofiilitiedostoihin kopioiden sijaan.

    --symlink-dconf
        dconf-mallit ovat symbolisia linkkejä alkuperäprofiilitiedostoihin niiden kopion sijaan.

    --symlink=TIEDOSTO,-s=TIEDOSTO
        Luo symbolinen linkki mallitiedostolle TIEDOSTO sen kopion luomisen sijaan. Tämä vaihtoehto voidaan ohittaa useita kertoja.

VARMUUSKOMENNOT

Näitä komentoja voidaan käyttää varmuuskopioitujen kokoonpanojen hallintaan.

backup-list [-r, --raw]
    Tulosta saatavilla olevat varmuuskopiot. Jos --raw on määritetty, komento tulostaa vain varmuuskopioiden nimet ilman muotoiluja ja lisätietoja.

backup-remove VARMUUSKOPIO
    Poista pysyvästi varmuuskopio nimeltä VARMUUSKOPIO.

backup-restore VARMUUSKOPIO
    Palauta määritykset varmuuskopiosta nimeltä VARMUUSKOPIO. Huomaa: tämä korvaa nykyisen kokoonpanon.

MUUT KOMENNOT

opt-out
    Poista todennusvalinnan määritykset. Tämä palauttaa nsswitch- ja PAM-määritykset sen järjestelmäsijaintiin, eikä authselect enää hallitse sitä. Ota käyttöön uudelleen suorittamalla authselect select.

YLEISET VAIHTOEHDOT

Nämä vaihtoehdot ovat käytettävissä kaikkien komentojen kanssa.

--debug
    Tulosta viankorjaustiedot ja virheviestit.

--trace
    Tulosta tiedot siitä, mitä työkalu tekee.

--warn
    Tulosta tietoja odottamattomista tilanteista, jotka eivät vaikuta ohjelman suorittamiseen, mutta voivat viitata joihinkin ei-toivottuihin tilanteisiin (esim. odottamaton tiedosto profiilihakemistossa).

VIANMÄÄRITTÄMINEN

  Kuinka voin selvittää, käyttääkö järjestelmäni authselectiä?

Käytä authselect check:iä. Tulos kertoo, onko sinulla 1) authselectin luoma konfiguraatio 2) ei-authselect-määritys vai 3) konfiguraatio, joka on luotu authselectillä, mutta jota on jossain vaiheessa muokattu manuaalisesti.

  Onko nsswitch.conf nyt tarkoitus olla symbolinen linkki?

Authselect luo järjestelmäkokoonpanosi alusta alkaen ja tallentaa se "/etc/authselect":iin. Järjestelmätiedostot luodaan sitten symbolisiksi linkeiksi tähän hakemistoon. Symbolisia linkkejä käytetään tekemään selväksi, että authselect omistaa nyt kokoonpanosi ja että sitä tulisi käyttää manuaalisen muutoksen sijaan.

  Virhe: Odottamattomia muutoksia kokoonpanoon havaittiin.

Esimerkiksi:

    [virhe] [/etc/authselect/nsswitch.conf] ei ole olemassa!
    [virhe] [/etc/nsswitch.conf] ei ole symbolinen linkki!
    [virhe] [/etc/nsswitch.conf] ei ole luonut authselect!
    [virhe] Odottamattomia muutoksia kokoonpanoon havaittiin.
    [virhe] Kieltäydytään aktivoimasta profiilia, ellei näitä muutoksia poisteta tai niitä ei pyydetä korvaamaan.

Tämä tarkoittaa, että määrityksiäsi ei tiedetä todentaa varten, joten sitä ei muuteta. Korjataksesi tämän, kutsu authselect select --force-parametrin kanssa ilmoittaaksesi, että se voidaan korvata.

PALAUTUSKOODIT

authselect voi palauttaa nämä poistumiskoodit:

    • 0: Onnistui.

    • 1: Yleinen virhe.

    • 2: Profiilia tai kokoonpanoa ei löytynyt tai järjestelmää ei ole määritetty authselectin kanssa.

    • 3: Nykyinen kokoonpano ei ole kelvollinen, sitä on muokattu ilman authselectiä.

    • 4: Järjestelmän kokoonpano on korvattava, jotta authselect-profiili voidaan aktivoida; --force-parametri tarvitaan.

    • 5: Suoritettu komento on suoritettava rootina.

    • 6: Kokoonpanoa ei havaittu.

LUODUT TIEDOSTOT

Authselect luo ja ylläpitää seuraavia tiedostoja määrittääkseen järjestelmän identiteetin ja todennuspalveluntarjoajat oikein.

"/etc/nsswitch.conf"
    Name Service Switch -määritystiedosto.

"/etc/pam.d"/system-auth
    PAM-pino, joka sisältyy lähes kaikkiin yksittäisiin palvelun kokoonpanotiedostoihin.

"/etc/pam.d"/salasanatodennus, älykorttitodennus, sormenjälkitodennus
    Nämä PAM-pinot on tarkoitettu sovelluksille, jotka käsittelevät todennusta eri tyyppisistä laitteista suorittamalla samanaikaisesti yksittäisiä keskusteluja yhden yhteiskeskustelun sijaan.

"/etc/pam.d"/jälkeinen_sisäänkirjautuminen
    Tämän PAM-pinon tarkoitus on tarjota yhteinen paikka kaikille PAM-moduuleille, jotka tulee kutsua system-auth-tiedostossa määritetyn pinon tai muiden yleisten PAM-määritystiedostojen jälkeen. Se sisältyy kaikkiin yksittäisiin palvelun määritystiedostoihin, jotka tarjoavat kirjautumispalvelun komentotulkin tai tiedostojen käyttöoikeuksilla. HUOMAUTUS: kirjautumisen jälkeisen määritystiedoston moduulit suoritetaan riippumatta siitä, onnistuvatko moduulit system-authin kokoonpanotiedostossa.

"/etc/dconf/db/distro.d"/"20-authselect"
    Muutokset dconf-tietokantaan. Tämän tiedoston pääasiallinen käyttötapa on tehdä muutoksia Gnome-kirjautumisnäytölle, jotta älykortti- ja sormenjälkitunnistus voidaan ottaa käyttöön tai poistaa käytöstä.

"/etc/dconf/db/distro.d"/locks/"20-authselect"
    Tämä tiedosto määrittää lukot dconf-tietokannassa asetettuihin arvoihin.

KATSO MYÖS

authselect-profiles(5), authselect-migration(7), nsswitch.conf(5), PAM(8)